class pageGameDetail{
    constructor(){
        this.init()
    }

    init (){
        this.changetab('.news-nav', '.news-item');
        this.changetab('.vedio-nav', '.vedio-list');
        $(".itd-detail").click(function () {
            $p = $(this).prev();
            if($p.hasClass('close')){
                $(this).find('em').removeClass('up');
                $p.removeClass('close');
            }else{
                $(this).find('em').addClass('up');
                $p.addClass('close');
            }
        })
    }

    changetab(parent, showbox){
        $(parent).on("click", "li", function () {
            var $this = $(this);
            var index = $this.index();

            $(this).addClass("active").siblings().removeClass("active");
            $(showbox).eq(index).show().siblings(showbox).hide();

            return false;
        })
    }
}

$(() => {
    new pageGameDetail()
})

